Subject: Re: how to git-archive ignore some files?

From: Junio C Hamano <[email-masked]>
Date: Sun, 11 May 2008 09:20:46 -0700

René Scharfe <[email-masked]> writes:

> Another idea: would it make sense to have an attribute for that instead
> (or in addition to the command line parameter)?  I.e. files marked
> export-ignore would not end up in the archive.  I suspect the set of
> files to ignore doesn't change from archive to archive one creates.

That sounds extremely sensible.

Should/does git-archive read .gitattributes from the tree being exported?